# StatefulOutputPin in embedded_hal::digital - Rust
Push-pull output pin that can read its output state
Keywords: rust, rustlang, rust-lang, StatefulOutputPin

# Trait embedded_hal::digital::StatefulOutputPin

source · [−]

    pub trait StatefulOutputPin: OutputPin {
        fn try_is_set_high(&self) -> Result<bool, Self::Error>;
        fn try_is_set_low(&self) -> Result<bool, Self::Error>;
    }

Expand description

Push-pull output pin that can read its output state

## Required methods

source

#### fn try_is_set_high(&self) -> Result<bool, Self::Error>

Is the pin in drive high mode?

NOTE this does not read the electrical state of the pin

source

#### fn try_is_set_low(&self) -> Result<bool, Self::Error>

Is the pin in drive low mode?

NOTE this does not read the electrical state of the pin

## Implementors